org.apache.sling.hapi

## Interface HApiTypesCollection

All Superinterfaces:
  Collection<HApiType>, Iterable<HApiType>

All Known Implementing Classes:
  HApiTypesCollectionImpl

    @ProviderType
    public interface HApiTypesCollection
    extends Collection<HApiType>

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getDescription()` The description of this type collection
`String` `getFqdn()` The fully qualified domain name of this type collection
`String` `getName()` The name of this type collection
`String` `getPath()` The Resource path of this type collection
`String` `getUrl()` The external URL of the type collection

### Methods inherited from interface java.util.Collection

`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, parallelStream, remove, removeAll, removeIf, retainAll, size, spliterator, stream, toArray, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Method Detail

#### getName

    String getName()

The name of this type collection

Returns:

#### getDescription

    String getDescription()

The description of this type collection

Returns:

#### getPath

    String getPath()

The Resource path of this type collection

Returns:

#### getUrl

    String getUrl()

The external URL of the type collection

Returns:

#### getFqdn

    String getFqdn()

The fully qualified domain name of this type collection

Returns: